﻿using UnityEngine;

public class CameraFollow : MonoBehaviour
{
	public GameObject player;
	public Vector3 offset;
	public float smoothTime = 0.1f;

	private Vector3 velocity = Vector3.zero;

	void Start ()
	{
		offset = Camera.main.transform.position + offset;
	}

	// Update後に呼ばれる。
	void LateUpdate ()
	{
		// プレイヤーが存在する場合のみ
		if (player) {
			Vector3 destination = (player.transform.position + offset) - Vector3.up * 0.5f;
			transform.position = Vector3.SmoothDamp (transform.position, destination, ref velocity, smoothTime);
		}
	}
}
